//+------------------------------------------------------------------+
//|                                          FxCraft Weekly Fibo.mq4 |
//|                                              http://fxcraft.biz/ |
//|									                   		 v. 1.1  |
//+------------------------------------------------------------------+
//|                                                                  |
//| Licence is available at:                                         |
//| http://fxcraft.biz/licence_free_indicator                        |
//| Licencja jest dostpna pod adresem:                              |
//| http://fxcraft.biz/licencja_darmowy_wskaznik                     |
//|                                                                  |
//|                                                                  |
//+------------------------------------------------------------------+


#property copyright "FxCraft"
#property link      "http://fxcraft.biz/"

#property indicator_chart_window

double levels[]={
                 0,
                 0.236,
                 -0.236,
                 0.382,
                 -0.382,
                 0.5,
                 -0.5,
                 0.618,
                 -0.618,
                 0.764,
                 -0.764,
                 1,
                 -1,
                 1.236,
                 -1.236,
                 1.382,
                 -1.382,
                 1.5,
                 -1.5,
                 1.618,
                 -1.618,
                 1.764,
                 -1.764,
                 2,
                 -2,
                 2.382,
                 -2.382,
                };

extern color lineColor=MidnightBlue;

int init() {

   int begin=DayOfWeek()+5;
   int end=DayOfWeek();
   
   int bTime=StrToTime(TimeToStr(iTime(NULL,PERIOD_D1,begin)));
   int eTime=StrToTime(TimeToStr(iTime(NULL,PERIOD_D1,end)));

   int bShift=iBarShift(NULL,PERIOD_M1,bTime);
   int eShift=iBarShift(NULL,PERIOD_M1,eTime);

   int hShift=iHighest(NULL,PERIOD_M1,MODE_HIGH,bShift-eShift,eShift);
   int lShift=iLowest(NULL,PERIOD_M1,MODE_LOW,bShift-eShift,eShift);

   double high=iHigh(NULL,PERIOD_M1,hShift);
   double low=iLow(NULL,PERIOD_M1,lShift);

   deinit();
   ObjectCreate("lwp_start",OBJ_VLINE,0,eTime,0);
   ObjectSet("lwp_start",OBJPROP_COLOR,lineColor);
   ObjectSet("lwp_start",OBJPROP_STYLE,STYLE_DOT);
   
   ObjectCreate("lwp_fibo", OBJ_FIBO, 0, iTime(NULL, 0, hShift), high, iTime(NULL, 0, lShift), low);
   ObjectSet("lwp_fibo",OBJPROP_LEVELCOLOR,lineColor);
   ObjectSet("lwp_fibo",OBJPROP_LEVELSTYLE,STYLE_DOT);
   ObjectSet("lwp_fibo",OBJPROP_LEVELWIDTH,1);
   ObjectSet("lwp_fibo",OBJPROP_FIBOLEVELS,ArraySize(levels));
   for(int i=0;i<ArraySize(levels);i++) {
      ObjectSet("lwp_fibo",OBJPROP_FIRSTLEVEL+i,levels[i]);
      ObjectSetFiboDescription("lwp_fibo",i,DoubleToStr(levels[i]*100,1));
   }

   return(0);
}

int deinit() {

   ObjectDelete("lwp_start");
   ObjectDelete("lwp_fibo");

   return(0);
}
  
int start() {
   static int prevTime; 
   
   if(iTime(NULL,PERIOD_D1,0)!=prevTime) { 
    prevTime=iTime(NULL,PERIOD_D1,0); 
    init();
   } 
    
   return(0);
}

